# Goblin Store

Incremental backup tool using rclone.

## Usage

To backup a directory, simply run it like so:

```shell
./goblin-store backup -s <SOURCE_DIRECTORY> -d <DESTINATION_DIRECTORY>
```

Breaking down the above:

* `./goblin-store` - running the app binary
* `backup` - call the **backup** command
* `-s <SOURCE_DIRECTORY>` - the directory you'd wish to backup (REQUIRED)
* `-d <DESTINATION_DIRECTORY>` - the directory you'd wish to store the backups in (REQUIRED)

You may modify the behavior with these additional flags:

* `-w <NUMBER>` - the number of worker threads to use to backup (default is **4**)
* `-v` - enable verbose console logging

## Development

### Requirements

* Go 1.25

### Building

You can build Goblin Store using `go build`:

`go build`

And then run the binary:

`./goblin-store backup ...`

## License

This project is available under the BSD 3-Clause license.
